org.apache.uima.collection.impl.cpm.engine

## Class CPMChunkTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.uima.InternationalizedException
      - - org.apache.uima.UIMAException
        - - org.apache.uima.resource.ResourceProcessException
          - - org.apache.uima.collection.impl.cpm.engine.CPMChunkTimeoutException

- All Implemented Interfaces:
    Serializable

      public class CPMChunkTimeoutException
      extends ResourceProcessException

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.ResourceProcessException

      `REQUIRED_FEATURE_STRUCTURE_MISSING_FROM_CAS, RESOURCE_DATA_NOT_VALID`

    - ### Fields inherited from class org.apache.uima.UIMAException

      `STANDARD_MESSAGE_CATALOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CPMChunkTimeoutException(long aDocumentId, String aThrottleID, String aDocumentURL)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDocID()`
    `String` | `getDocumentURL()`
    `String` | `getThrottleID()`

    - ### Methods inherited from class org.apache.uima.InternationalizedException

      `getArguments, getCause, getLocalizedMessage, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, hasMessageKey, initCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CPMChunkTimeoutException

          public CPMChunkTimeoutException(long aDocumentId,
                                          String aThrottleID,
                                          String aDocumentURL)

      Parameters:
        `aDocumentId` - the document ID
        `aThrottleID` - tbd
        `aDocumentURL` - document URL

  - ### Method Detail

    - #### getDocumentURL

          public String getDocumentURL()

    - #### getDocID

          public long getDocID()

      Returns:
        the docID

    - #### getThrottleID

          public String getThrottleID()

      Returns:
        the ThrottleID

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.